umbrello: CppImport Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Static Private Attributes | List of all members
CppImport Class Reference

`#include <cppimport.h>`

Inheritance diagram for CppImport:

## Public Member Functions
| CppImport (CodeImpThread *thread=0)
virtual | ~CppImport ()
Public Member Functions inherited from ClassImport
| ClassImport (CodeImpThread *thread=0)
virtual | ~ClassImport ()
bool | importFiles (const QStringList &fileNames)
bool | importFile (const QString &fileName)
void | setRootPath (const QString &path)
bool | enabled () const

## Protected Member Functions
void | initialize ()
void | initPerFile ()
bool | parseFile (const QString &fileName)
Protected Member Functions inherited from ClassImport
void | log (const QString &file, const QString &text)
void | log (const QString &text)

## Private Member Functions
void | feedTheModel (const QString &fileName)

## Static Private Attributes
static CppDriver * | ms_driver
static QStringList | ms_seenFiles
| auxiliary buffer for feedTheModel()

## Additional Inherited Members
Static Public Member Functions inherited from ClassImport
static ClassImport * | createImporterByFileExt (const QString &fileName, CodeImpThread *thread=0)
Protected Attributes inherited from ClassImport
CodeImpThread * | m_thread
| thread in which the work of importing is done
bool | m_enabled
| state of importer
QString | m_rootPath
| root path of import

## Detailed Description

C++ code import

Author
  Oliver Kellogg Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ CppImport()

CppImport::CppImport | ( | CodeImpThread * | thread = 0 | ) |
| explicit

Constructor.

## ◆ ~CppImport()

CppImport::~CppImport | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ feedTheModel()

void CppImport::feedTheModel | ( | const QString & | fileName | ) |
| private

Auxiliary method for recursively traversing the #include dependencies in order to feed innermost includes to the model before dependent includes. It is important that includefiles are fed to the model in proper order so that references between UML objects are created properly.

Parameters

  fileName | the file to import

## ◆ initialize()

void CppImport::initialize | ( |  | ) |
| protectedvirtual

Implement abstract operation from ClassImport for C++.

Implements ClassImport.

## ◆ initPerFile()

void CppImport::initPerFile | ( |  | ) |
| protectedvirtual

Reimplement method from ClassImport

Reimplemented from ClassImport.

## ◆ parseFile()

bool CppImport::parseFile | ( | const QString & | fileName | ) |
| protectedvirtual

Import a single file.

Parameters

  fileName | The file to import.

Implements ClassImport.

## Member Data Documentation

## ◆ ms_driver

CppDriver * CppImport::ms_driver
| staticprivate

## ◆ ms_seenFiles

QStringList CppImport::ms_seenFiles
| staticprivate

auxiliary buffer for feedTheModel()

The documentation for this class was generated from the following files:

- umbrello/codeimport/cppimport.h
- umbrello/codeimport/cppimport.cpp